<script>
import appConfig from '@src/app.config.json'
import Layout from '@layouts/main'
import JobOfferForm from "@components/job-offer/job-offer-form";
import JobOffer from "@src/models/job-offer/JobOffer";
import store from "@state/store";

export default {
  page: {
    title: 'Création d\'un annonce',
    meta: [{ name: 'description', content: appConfig.description }],
  },
  components: { Layout, JobOfferForm },
  data() {
    return {
      title : 'Création d\'un annonce',
      jobOffer : new JobOffer({company_id : store.state.auth.currentUser.user.id, status : 1, domains : []}),
    }
  }
}
</script>

<template>
  <Layout :title="title">
    <JobOfferForm :jobOffer="jobOffer" mode="create"></JobOfferForm>
  </Layout>
</template>
